<header class="header-container">
  <div class="nav-bar">
    <img class="svs-logo"
         src="../../../../assets/svs-logo.png"
         (click)="navigateTo('home')">
    <div *ngIf="this.loggedUserData"
         class="nav-buttons">
      <button nz-button
              nzType="primary"
              (click)="navigateTo('products')">Dashboard products</button>
      <button *ngIf="this.loggedUserData?.role==='Admin'"
              nz-button
              nzType="primary"
              (click)="navigateTo('admin')">Admin panel</button>
    </div>
  </div>
  <div class="header-buttons">
    <div class="sign-in"
         *ngIf="!this.loggedUserData">
      <button nz-button
              nzType="primary"
              (click)="onClickLoginButton()">Sign in</button>
    </div>

    <div class="logout"
         *ngIf="this.loggedUserData">
      <nz-avatar class="user-avatar-button"
                 nzShape="square"
                 nzIcon="user"
                 [nzSrc]="this.userAvatar"
                 (click)="navigateTo('user/profile')"></nz-avatar>
      <button class="button-logout"
              nz-button
              nzType="primary"
              (click)="this.logout()">Sign out</button>
    </div>
  </div>
</header>
